org.apache.fop.render.ps

## Class Type1FontFormatter

- java.lang.Object
- - org.apache.fop.render.ps.Type1FontFormatter

-     public final class Type1FontFormatter
      extends java.lang.Object

  This class represents a formatter for a given Type1 font. author Villu Ruusmann
  Version:
    $Revision: 1.0 $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Type1FontFormatter(java.util.Map<java.lang.Integer,java.lang.Integer> gids)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `format(org.apache.fontbox.cff.CFFType1Font font, java.lang.String i)` Read and convert a given CFFFont.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Type1FontFormatter

          public Type1FontFormatter(java.util.Map<java.lang.Integer,java.lang.Integer> gids)

  - ### Method Detail

    - #### format

          public byte[] format(org.apache.fontbox.cff.CFFType1Font font,
                               java.lang.String i)
                        throws java.io.IOException

      Read and convert a given CFFFont.
      Parameters:
        `font` - the given CFFFont
        `i` -
      Returns:
        the Type1 font
      Throws:
        `java.io.IOException` - if an error occurs during reading the given font

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.